goog.provide('FlappSWFRGBA');

goog.scope(function() {

/**
 * @constructor
 */
FlappSWFRGBA = function(ibit) {
    ;
};

FlappSWFRGBA.load = function(ibit, hasAlpha) {
    ibit.a();
    if (hasAlpha) {
        return {
            red: ibit.ui8(),
            green: ibit.ui8(),
            blue: ibit.ui8(),
            alpha: ibit.ui8()
        };
    }
    return {
        red: ibit.ui8(),
        green: ibit.ui8(),
        blue: ibit.ui8(),
        alpha: 255
    };
};

FlappSWFRGBA.toCSS = function(color) {
    return 'rgba('+color.red+','+color.green+','+color.blue+','+color.alpha+')';
}

});
